• Zombie Survival - after 3 years in development, hopefully it would have been worth the weight
    201 replies, posted
  • Avatar of superstepa
  • [QUOTE=JetBoom;34581606]What textures? Give a picture? [/QUOTE] Mainly the images on tabs and some weapons/tools Can't give a picture now, sorry
  • [QUOTE=JetBoom;34581606]What textures? Give a picture? It should be a cycle instead of random. You can also make your own map cycle. Set the convar mapcyclefile to something like "zsmapcycle.txt" and then fill that file with map names. One per line, no .bsp ending. txt file goes in garrysmod base folder.[/QUOTE] If nothing else can be done ill make a mapcycle however what could be causing the issue? No output in console or nothing. It just keeps randomly picking the same map all the time (plays fine for 4-5 matches then won't change to a new level).
  • When I tested it, it seemed to work fine. It really is only there for people with no map cycle or map voting system.
  • Avatar of lolipop1113
  • [QUOTE=JetBoom;34584561]When I tested it, it seemed to work fine. It really is only there for people with no map cycle or map voting system.[/QUOTE] Hey can you make an SVN or something else to download every map?
  • Avatar of Phoenixf129
  • [QUOTE=lolipop1113;34586780]Hey can you make an SVN or something else to download every map?[/QUOTE] Lazy git. Go look on gmod.org for "zombiesurvival" or "zs"
  • Avatar of yuriman
  • [QUOTE=lolipop1113;34586780]Hey can you make an SVN or something else to download every map?[/QUOTE] Download wget for windows ([url]http://users.ugent.be/~bpuype/wget/[/url]). open cmd and if wget.exe is in your downloads folder type [code]cd C:\Users\<myusername\Downloads[/code] then [code]wget -m http://heavy.noxiousnet.com/downloadurl/maps/ --no-parent -A "zm_*"[/code] replace zm_ with the prefix of the maps you want to download or remove -A "zm_*" to download all maps.
  • [QUOTE=Phoenixf129;34587852]Lazy git. Go look on gmod.org for "zombiesurvival" or "zs"[/QUOTE]I'd rather have a link/SVN to download all maps, whether or not they are in use. Edit: Thanks yuriman :)
  • [QUOTE=yuriman;34587861]Download wget for windows ([url]http://users.ugent.be/~bpuype/wget/[/url]). open cmd and if wget.exe is in your downloads folder type [code]cd C:\Users\<myusername\Downloads[/code] then [code]wget -m http://heavy.noxiousnet.com/downloadurl/maps/ --no-parent -A "zm_*"[/code] replace zm_ with the prefix of the maps you want to download or remove -A "zm_*" to download all maps.[/QUOTE] Good way to play outdated maps. Some of those actually crash clients randomly or the server on load. Not saying this because I care you're wgeting my entire downloadurl because I have unlimited bandwidth but look at the dates on them and try before you add to your map list.
  • Avatar of nexitem
  • [QUOTE=JetBoom;34599038]Good way to play outdated maps. Some of those actually crash clients randomly or the server on load. Not saying this because I care you're wgeting my entire downloadurl because I have unlimited bandwidth but look at the dates on them and try before you add to your map list.[/QUOTE] Yea i took some of your maps too :) but first i checked if they are even worth using them. Garysmod.org is a little bit slow and sometimes not working right now so i just download them from you fastdl :D Thanks ^^ But tbh, you got so many maps ^^ i hope my fastdl does not get as full soon xD
  • Finally! - I can play the legend of gamemodes! :D BTW,Garry, why you removed so many gamemodes!?! I think it would be funny to play ZS on a ZE map <3
  • Avatar of yuriman
  • [QUOTE=JetBoom;34599038]Good way to play outdated maps. Some of those actually crash clients randomly or the server on load. Not saying this because I care you're wgeting my entire downloadurl because I have unlimited bandwidth but look at the dates on them and try before you add to your map list.[/QUOTE] How should we check if they are outdated when you only see the mapname? Only latest map version? I assume you will update the gamemode for gmod 13 right?
  • Avatar of nexitem
  • [QUOTE=yuriman;34603984]How should we check if they are outdated when you only see the mapname? Only latest map version? I assume you will update the gamemode for gmod 13 right?[/QUOTE] use a different software then just an web broweser.
  • [QUOTE=yuriman;34603984]How should we check if they are outdated when you only see the mapname? Only latest map version? I assume you will update the gamemode for gmod 13 right?[/QUOTE] Obviously the latest version. You can also google it and see at least what month / year it was played. Yeah. What I'll probably do is code it for gmod 13 and have backwards compatibility that turns off if your version isn't gmod 10.
  • Avatar of TSB
  • [QUOTE=yuriman;34603984]How should we check if they are outdated when you only see the mapname? Only latest map version? I assume you will update the gamemode for gmod 13 right?[/QUOTE] Why don't you go on the official server and see what maps they have?
  • Avatar of CrazyMikeComics
  • My friend has a server up, check it out! ExternalGaming.com | Zombie Survival | 206.123.95.125:27015 It has some custom features, such as human's default models are CT's, custom store (Currently disabled on that server, but you can earn points!), and more!
  • First update is out. Update your SVN. Check these for what was changed: [url]http://www.noxiousnet.com/forums/index.php?topic=15483.0[/url] [url]http://www.noxiousnet.com/forums/index.php?topic=15520.0[/url]
  • Avatar of yuriman
  • Sometimes these errors gets spammed in the console and the timer error when people leave I think. [code] [gamemodes\zombiesurvival\entities\weapons\weapon_zs_fastzombie\init.lua:49] attempt to call method 'IsLeaping' (a nil value) [gamemodes\zombiesurvival\entities\weapons\weapon_zs_fastzombie\init.lua:182] attempt to call method 'IsLeaping' (a nil value) Timer Error: [@gamemodes\zombiesurvival\gamemode\obj_player_extend.lua:234] Tried to use a NULL entity![/code]
  • There is no weapon_zs_fastzombie/init.lua There is only a shared.lua. Update your SVN or delete init.lua and cl_init.lua
  • Avatar of NaRyan
  • [QUOTE=JetBoom;34665978]There is no weapon_zs_fastzombie/init.lua There is only a shared.lua. Update your SVN or delete init.lua and cl_init.lua[/QUOTE] r1376 on the svn zombiesurvival\entities\weapons\weapon_zs_fastzombie it has 3 files in the folder, cl_init.lua, init.lua & shared.lua Think you need to check your svn files to make sure you have removed the unneeded stuff :(
  • If you insist on doing a lot of changes then you should get a tool like winmerge.
  • I played this game back in the old days with my bro, its a fantastic gamemode. This just makes it even better. God bless you.
  • Publish 365 is out! A lot of new stuff was added including but not limited to: boss zombies, a new subclass, and a special pants mode. Updates since last version: v363-v364: [url]http://www.noxiousnet.com/forums/index.php?topic=15546.0[/url] v364-v365: [url]http://www.noxiousnet.com/forums/index.php?topic=15618.0[/url] You can get it on the first post.
  • Avatar of lorde banana
  • [thumb]http://www.bananatree.im/i/wruhM7CLb12.png[/thumb] I seem to be the only one with this problem, is there a specific game I need or something? [editline]23rd February 2012[/editline] Restarting GMod fixed that, but [gamemodes/zombiesurvival/gamemode/init.lua:732] attempt to index global 'pl' (a nil value)(Hook: Think) [editline]23rd February 2012[/editline] oh and server is up for this with fastdl obviously.. [url=steam://connect/216.245.195.170:27015][img]http://www.pgservers.net/images/servers/server.php?server=zombie[/img][/url] [b]IP:[/b] 216.245.195.170:27015 [b]Location:[/b] Texas, USA
  • Avatar of Scot
  • [QUOTE=AltFanatic;34731538]played zs for the first time in 2 years last night was funnnn[/QUOTE] Really? Because I thought it was almost totally different to the early version. i.e. shit.
  • I'm sure the old version no one prefers is still available somewhere for download if you want to fix it. [QUOTE=Banana Lord.;34839632][gamemodes/zombiesurvival/gamemode/init.lua:732] attempt to index global 'pl' (a nil value)(Hook: Think)[/QUOTE] I fixed the Lua error in the SVN. Update it.